[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

figtree autopkgtest



Dear all,

I made my first attempt on providing a simple autopkgtest for the 'figtree' package , referring to the 879621 bug. It successfully runs in my local machine using the 'autopkgtest -- null' command.

I am attaching  the patch file - since it is my first try for writing a test and even using the 'git format-patch' command , any feedback will be much appreciated.

I have created an Alioth account in case you like me to continue with committing the tests.

All the best,
Kate
From 011643ffd65e56a08b0ff610641dccd2c57a52f0 Mon Sep 17 00:00:00 2001
From: Kalou <aik.kalou@gmail.com>
Date: Wed, 29 Nov 2017 20:04:22 +0200
Subject: [PATCH 1/1] run-unit-test

---
 debian/tests/control       |  5 +++++
 debian/tests/run-unit-test | 18 ++++++++++++++++++
 2 files changed, 23 insertions(+)
 create mode 100644 debian/tests/control
 create mode 100644 debian/tests/run-unit-test

diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..5e354aa
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,5 @@
+Tests: run-unit-test
+Depends: @
+Restrictions: allow-stderr
+
+
diff --git a/debian/tests/run-unit-test b/debian/tests/run-unit-test
new file mode 100644
index 0000000..5b70b7b
--- /dev/null
+++ b/debian/tests/run-unit-test
@@ -0,0 +1,18 @@
+#!/bin/sh -e
+
+pkg=figtree
+
+if [ "$ADTTMP" = "" ] ; then
+  ADTTMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
+  trap "rm -rf $ADTTMP" 0 INT QUIT ABRT PIPE TERM
+fi
+
+cd $ADTTMP
+
+cp -a /usr/share/doc/${pkg}/examples/* .
+gunzip -r *
+
+figtree HA_continuous_MCC.tre HA_discrete_MCC.tre
+figtree -graphic PDF test.tree test.pdf
+figtree -graphic GIF -width 320 -height 320 test.tree test.gif
+
-- 
2.7.4


Reply to: